const fs = require('fs');
const path = require('path');
const base_dir = `${__dirname}/routers`;
const files = fs.readdirSync(base_dir);

const Router = require('@koa/router');
const router = new Router();

const logger = require('./utils/logger');


files.filter((file) => ~file.search(/^[^.].*\.js$/)).forEach((file) => {
    const fileName = file.substr(0, file.length - 3);
    const fileEntity = require(path.join(base_dir, file));

    if (fileName !== 'index') {
        router.use(`/${fileName}`, fileEntity.routes(), fileEntity.allowedMethods());
    }
});


if (process.env.NODE_ENV === 'dev') {
    router.stack.filter((r) => r.methods.length).forEach((r) => {
        logger.warn(`Method: ${r.methods.join('/')} Path: ${r.path}`);
    });
}

module.exports = router;